package cn.pluss.platform.level;

import java.util.List;
import java.util.Map;
import cn.pluss.platform.entity.Level;
import cn.pluss.platform.mapper.LevelMapper;
import com.baomidou.mybatisplus.extension.service.IService;

public interface LevelService extends IService<Level> {

    Level queryLevel(Level level);

    List<Level> queryLevelList(Level level);

    void saveLevel(Level level);

    void updateLevel(Level level);

    void deleteLevel(Level level);

    List<Level> queryLevelPage(Map map);

    Integer queryLevelPageCount(Map map);
}

